
package lambdademo;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.URL;
import java.util.LinkedList;

public class EmployeeFile {

    private static final String EMPLOYEE_FILE =
            "/lambdademo/load_employees.csv";

    public LinkedList<EmployeeRec> loadEmployeeList() {
        LinkedList<EmployeeRec> employeeList = new LinkedList<>();
        BufferedReader br = null;
        try {
            URL fileURL = getClass().getResource(EMPLOYEE_FILE);
            InputStream in = fileURL.openStream();
            br = new BufferedReader(new InputStreamReader(in));
        } catch (Exception e) {
            System.out.println(EMPLOYEE_FILE + ": Not found in jar");
            e.printStackTrace();
        }

        try {
            String line;
//            for (int i=0; i <10; i++) {
//                line = br.readLine();
            while ((line = br.readLine()) != null) {    
                String[] rec = null;
                rec = line.split(",");
                employeeList.add(new EmployeeRec(rec[0], rec[1], rec[2],
                        rec[3], rec[4], rec[5]));
            }
        } catch (IOException e) {
            System.out.println("Error reading " + EMPLOYEE_FILE);
            e.printStackTrace();
        }
        return employeeList;
    }
}
