
package lambdademo;

import java.util.LinkedList;

public class LambdaAvgSerial {
    
    public static void main(String[] args) {            
        System.out.println("LambdaAvgSerial:");
        
        long nanoStart = System.nanoTime();
        EmployeeFile empFile = new EmployeeFile() ;
        LinkedList<EmployeeRec> employeeList = empFile.loadEmployeeList();
        long nanoReadTime = System.nanoTime() - nanoStart;
        System.out.println("File read time in mS = " + nanoReadTime/1000000);
        
        long nanoStartProcessTime = System.nanoTime();
        
        double avgAge = employeeList.stream()
                .filter(s -> s.getGender().equals("M"))
                .mapToDouble(s -> s.getAge())
                .average()
                .getAsDouble();
        
        long nanoProcessTime = System.nanoTime() - nanoStartProcessTime;
        
        System.out.println(String.format("Average Male Age = %.1f", avgAge));
        System.out.println("Processing Time in mS = " + nanoProcessTime/1000000);
    }
}
